    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>Line following robot</title>
            <meta name="description" content="Line following robot.">
            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
        <link rel="icon" type="img/png" href="icon.png">
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>               
            </ulh>
        
            
            <hr class="style-one">
            
            <p> <b>Line follower and wall follower robots</b> by Udayan Umapathi and <a href="people.html">Rishi Raghav</a></p>
            <hr class="style-six">    
            
            <p> Robots need guidance to perform a task. The guidance can come from a computer sitting inside the robot or from somewhere outside. Most often robots see things around them, understand their surrounding and respond to it. Line-following and Wall-following are two such robots that can see a line and a wall respectively and follow them. The inspiration behind the development of such robots came from sheep trails - where there is a trail leading from water trough to grazing area and one sheep follows the other.</p>

<p>                
I built my very first Wall following robot when I was in my very first year of undergraduate degree with my buddies. I built it completely using logic gates, there was no programmable micro-controller or processor. As I continued building newer robots, eventually I learnt about micro-controllers, circuit design, PCB assembly, soldering and most importantly a design process for these robots. Here is a video of my very first Wall Follower Robot. A unique feature of this robot was that it was completely using primitive Logic gates </p>
            

            <p><i>My role:</i> Chassis design, Algorithm development, Soldering.</p>
            <p><i>Materials used:</i> Wood, Switch board.</p>
            <p><i>Electronics:</i> Logic gate, Micro-controller, IR Led, IR receiver, other discrete electronics.</p>
            
            <iframe width="420" height="315" src="//www.youtube.com/embed/sDJinW1hxTE" frameborder="0" allowfullscreen></iframe>
            
            <p>Here is another video of a Line follower robot that I built.</p>
            
            <iframe class="youtube-player" type="text/html" width="420" height="345"
            src="//www.youtube.com/embed/4t-oWtYI9JI" allowfullscreen frameborder="0">
            </iframe>

            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" /> 
            
        </body>
    </html>




